package com.ruoyi.project.business.service.quotation.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import javax.annotation.Resource;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.business.mapper.quotation.TqSpecificationDetailMapper;
import com.ruoyi.project.business.domain.TqSpecificationDetail;
import com.ruoyi.project.business.service.quotation.ITqSpecificationDetailService;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2024-05-10
 */
@Service
public class TqSpecificationDetailServiceImpl extends
    ServiceImpl<TqSpecificationDetailMapper, TqSpecificationDetail> implements ITqSpecificationDetailService {

    @Resource
    private TqSpecificationDetailMapper tqSpecificationDetailMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public TqSpecificationDetail selectTqSpecificationDetailById(Long id) {
        return tqSpecificationDetailMapper.selectTqSpecificationDetailById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param tqSpecificationDetail 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TqSpecificationDetail> selectTqSpecificationDetailList(TqSpecificationDetail tqSpecificationDetail) {
        return tqSpecificationDetailMapper.selectTqSpecificationDetailList(tqSpecificationDetail);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param tqSpecificationDetail 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTqSpecificationDetail(TqSpecificationDetail tqSpecificationDetail) {
        tqSpecificationDetail.setCreateTime(DateUtils.getNowDate());
        return tqSpecificationDetailMapper.insertTqSpecificationDetail(tqSpecificationDetail);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param tqSpecificationDetail 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTqSpecificationDetail(TqSpecificationDetail tqSpecificationDetail) {
        tqSpecificationDetail.setUpdateTime(DateUtils.getNowDate());
        return tqSpecificationDetailMapper.updateTqSpecificationDetail(tqSpecificationDetail);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTqSpecificationDetailByIds(Long[] ids) {
        return tqSpecificationDetailMapper.deleteTqSpecificationDetailByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTqSpecificationDetailById(Long id) {
        return tqSpecificationDetailMapper.deleteTqSpecificationDetailById(id);
    }
}
